Bug 237889 (pyqt-5.12.2) - [exp-run] Update pyqt to 5.12.2 (with it sip to 4.19.17)
Summary: [exp-run] Update pyqt to 5.12.2 (with it sip to 4.19.17)
Status: Closed FIXED
Alias: pyqt-5.12.2
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias C. Berner
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-05-13 20:22 UTC by Tobias C. Berner
Modified: 2019-05-15 20:26 UTC (History)
1 user (show)

See Also:
antoine: exp-run+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tobias C. Berner freebsd_committer 2019-05-13 20:22:45 UTC
Hi there

kde@ would like to ask for an exp-run to upgrade PyQt5 to 5.12.2.

The patch can be found here:
https://people.freebsd.org/~tcberner/patches/pyqt-5.12.2.v1.diff


mfg Tobias
Comment 1 Tobias C. Berner freebsd_committer 2019-05-15 11:02:48 UTC
Moin moin

Here's an updated patch:
https://people.freebsd.org/~tcberner/patches/pyqt-5.12.2.v2.diff
The previous one was not adapting the py-qt5-webengine component in pyqt.mk

mfg Tobias
Comment 2 Antoine Brodin freebsd_committer 2019-05-15 20:22:18 UTC
Exp-run looks fine
Comment 3 commit-hook freebsd_committer 2019-05-15 20:26:26 UTC
A commit references this bug:

Author: tcberner
Date: Wed May 15 20:26:01 UTC 2019
New revision: 501744
URL: https://svnweb.freebsd.org/changeset/ports/501744

Log:
  Update pyqt to 5.12.2 (with it sip to 4.19.17)

  Exp-run by:	antoine
  PR:		237889

Changes:
  head/Mk/Uses/pyqt.mk
  head/devel/py-qt5/distinfo
  head/devel/py-qt5-core/Makefile
  head/devel/py-sip/Makefile
  head/devel/py-sip/distinfo
  head/textproc/py-qt5-xml/Makefile
  head/www/py-qt5-webengine/Makefile
  head/www/py-qt5-webengine/pkg-plist
Comment 4 Tobias C. Berner freebsd_committer 2019-05-15 20:26:41 UTC
Thanks for the exp-run.